import { http_get, http_post } from './_http'

const API = {
  // 获取资源库预制件列表
  getLibPrefabList(data) {
    return http_post('/prefab-behavior/query-page', data)
  },
  // 获取资源平台预制件列表
  getResourcePrefabList(data) {
    return http_post('/assetStore/resourceList', data)
  },
  getResourceStoreOnline(storeId) {
    return http_get(`/resourceStore/store/online/${storeId}`)
  },
  // 获取本地预制件列表
  getLocalPrefabList(data) {
    return http_get('/local-api/prefab-list', data)
  },
  // 获取 public 的插件列表
  getLocalPluginList(data) {
    return http_get('/local-api/plugin-list', data)
  },
}

export default API
